Package org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans

# Class FallbackMethodGenericWildcardBeanA

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanB<String>
org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanA

@ApplicationScoped public class FallbackMethodGenericWildcardBeanA extends FallbackMethodGenericWildcardBeanB<String>

## Constructor Summary

Constructors
Constructor
Description
`FallbackMethodGenericWildcardBeanA()`

## Method Summary

Modifier and Type
Method
Description
`String`
`method(List<? extends String> a)`

### Methods inherited from class org.eclipse.microprofile.fault.tolerance.tck.fallbackmethod.beans.FallbackMethodGenericWildcardBeanB

`fallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackMethodGenericWildcardBeanA

public FallbackMethodGenericWildcardBeanA()

## Method Details

### method

@Fallback(fallbackMethod="fallback") public String method(List<? extends String> a)